server:
  port: 9314

spring:
  application:
    name: @artifactId@
  profiles:
    active: test
  datasource:
    dynamic:
      primary: master #设置默认的数据源，默认值为master
      strict: false   #是否用严格模式，如果启用在味匹配到指定数据源时抛出异常
      datasource:
        master:
          url: jdbc:log4jdbc:mysql://db.docus.cn:3306/docus_medicalrecord?autoReconnect=true&allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
          username: docus
          password: docus702
          driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
          type: com.alibaba.druid.pool.DruidDataSource
          # 初始化配置
          initial-size: 3
          # 最小连接数
          min-idle: 3
          # 最大连接数
          max-active: 15
          # 获取连接超 时时间
          max-wait: 5000
          # 连接有效性检测时间
          time-between-eviction-runs-millis: 90000
          # 最大空闲时间
          min-evictable-idle-time-millis: 1800000
          test-while-idle: true
          test-on-borrow: false
          test-on-return: false
          validation-query: select 1
        fsy:
          url: jdbc:oracle:thin:@192.168.1.102:1521:FSY
          username: jsba_user
          password: Jsba!@#$%12345
          driver-class-name: oracle.jdbc.driver.OracleDriver
          type: com.alibaba.druid.pool.DruidDataSource
          # 初始化配置
          initial-size: 3
          # 最小连接数
          min-idle: 3
          # 最大连接数
          max-active: 15
          # 获取连接超 时时间
          max-wait: 5000
          # 连接有效性检测时间
          time-between-eviction-runs-millis: 90000
          # 最大空闲时间
          min-evictable-idle-time-millis: 1800000
          test-while-idle: true
          test-on-borrow: false
          test-on-return: false
          validation-query: select 1 from dual
  redis:
    host: redis.docus.cn
    password: JSdocus@702
  cloud:
    nacos:
      discovery:
        server-addr: nacos.docus.cn
        namespace: 34acdf7a-9fc6-4bbd-8aea-9a47c8007ad5
        username: nacos
        password: docus@702docus@702
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        namespace: 34acdf7a-9fc6-4bbd-8aea-9a47c8007ad5
        username: nacos
        password: docus@702docus@702
        file-extension: yml
        shared-configs:
          - comm.${spring.cloud.nacos.config.file-extension}

fsy:
  lis:
    ws-url: http://10.100.23.96:8095/DCLService.asmx
    gp-ws-url: http://10.100.23.96:8095/DCLService.asmx
    sysflag: 6
    assortid: 1213131

docus:
  url:
    # 采集任务补偿地址
    viewcollect-server: http://localhost:9295/
    # 报告上报地址
    downploadlatform-server: http://localhost:9291/
    # 获取无视图模式采集任务地址
    taskdistribute-server: http://localhost:9296/


  dbtype: mysql

mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    call-setters-on-nulls: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      field-strategy: NOT_EMPTY
      db-type: MYSQL
xxl:
  job:
    accessToken:
    admin:
      addresses: http://job.docus.cn:8180/xxl-job-admin
    executor:
      appname: docus-collect-fssy
      address:
      ip:
      port: 19314
      logretentiondays: 30
      logpath: D:/xxl-job/docus-collect-fssy


